drop table authorities if exists;
drop table cart_items if exists;
drop table carts if exists;
drop table contact_method_details if exists;
drop table contact_method_secondary_details if exists;
drop table customers if exists;
drop table item_field_details if exists;
drop table item_field_secondary_details if exists;
drop table items if exists;
drop table items_item_field_details if exists;
drop table roles if exists;
drop table user_field_details if exists;
drop table user_field_secondary_details if exists;
drop table user_roles if exists;
drop table users if exists;
drop table users_contact_method_details if exists;
drop table users_user_field_details if exists;
create table authorities (role_id bigint not null, auth_name varchar(255));
create table cart_items (quantity integer not null, item_id bigint, cart_id bigint, primary key (cart_id, item_id));
create table carts (id bigint generated by default as identity unique, primary key (id));
create table contact_method_details (id bigint generated by default as identity unique, primary_detail varchar(255), primary key (id));
create table contact_method_secondary_details (contact_method_id bigint not null, secondary_detail varchar(255));
create table customers (id bigint generated by default as identity unique, cart_fk bigint, primary key (id));
create table item_field_details (id bigint generated by default as identity unique, item_detail integer not null, content varchar(255) not null, locale_key varchar(255) not null, primary key (id));
create table item_field_secondary_details (item_field_id bigint not null, content varchar(255) not null, locale_key varchar(255) not null, primary key (item_field_id, content, locale_key));
create table items (id bigint generated by default as identity unique, gtin varchar(255), sku varchar(255) not null, primary key (id));
create table items_item_field_details (items_id bigint not null, itemFieldMap_id bigint not null, itemFieldMap_KEY binary(255), primary key (items_id, itemFieldMap_KEY), unique (itemFieldMap_id));
create table roles (id bigint generated by default as identity unique, description varchar(255) not null, internal boolean not null, name varchar(255) not null, primary key (id));
create table user_field_details (id bigint generated by default as identity unique, content varchar(255) not null, locale_key varchar(255) not null, user_detail integer not null, primary key (id));
create table user_field_secondary_details (user_field_id bigint not null, content varchar(255) not null, locale_key varchar(255) not null, primary key (user_field_id, content, locale_key));
create table user_roles (role_id bigint, user_id bigint, primary key (role_id, user_id));
create table users (id bigint generated by default as identity unique, created_at binary(255), locked boolean not null, open_id varchar(255), password varchar(255), password_reset_at binary(255), public_name varchar(255), staff boolean not null, username varchar(255), uuid varchar(255) not null, customer_id bigint, primary key (id));
create table users_contact_method_details (users_id bigint not null, contactMethodMap_id bigint not null, contactMethodMap_KEY binary(255), primary key (users_id, contactMethodMap_KEY), unique (contactMethodMap_id));
create table users_user_field_details (users_id bigint not null, userFieldMap_id bigint not null, userFieldMap_KEY binary(255), primary key (users_id, userFieldMap_KEY), unique (userFieldMap_id));
alter table authorities add constraint FK2B0F132190357D1 foreign key (role_id) references roles;
alter table cart_items add constraint FK8907EDE14A4AD4B1 foreign key (cart_id) references carts;
alter table cart_items add constraint FK8907EDE1D2AE3E84 foreign key (item_id) references items;
alter table contact_method_secondary_details add constraint FK1734DD8743C85F5 foreign key (contact_method_id) references contact_method_details;
alter table customers add constraint FK600E7C554A4AD45B foreign key (cart_fk) references carts;
alter table item_field_secondary_details add constraint FK94F58D467C282F1A foreign key (item_field_id) references item_field_details;
alter table items_item_field_details add constraint FKDB6E56B070F12453 foreign key (itemFieldMap_id) references item_field_details;
alter table items_item_field_details add constraint FKDB6E56B09AC8F6B7 foreign key (items_id) references items;
alter table user_field_secondary_details add constraint FK3A6255FEC5B2535D foreign key (user_field_id) references user_field_details;
alter table user_roles add constraint FK7342994990357D1 foreign key (role_id) references roles;
alter table user_roles add constraint FK73429949AE2E1BB1 foreign key (user_id) references users;
alter table users add constraint FK6A68E083D0BE373 foreign key (customer_id) references customers;
alter table users_contact_method_details add constraint FK931686FAA71EF454 foreign key (users_id) references users;
alter table users_contact_method_details add constraint FK931686FABBCC7D3A foreign key (contactMethodMap_id) references contact_method_details;
alter table users_user_field_details add constraint FK47C20A20497CD696 foreign key (userFieldMap_id) references user_field_details;
alter table users_user_field_details add constraint FK47C20A20A71EF454 foreign key (users_id) references users;
